import JWT from 'hapi-auth-jwt2';
export default async function (server, { secret, validate }) {
    await server.register(JWT);
    // Set the Authentication strategy to JWT
    server.auth.strategy('jwt', 'jwt', {
        key: secret,
        validate: validate || (async () => true),
        verifyOptions: { algorithms: ['HS256'] },
        urlKey: false,
    });
}
