import Logger from '@foundationjs/logger';
import { ServerConfiguration, GraphqlConfig } from '@foundationjs/typedefs/server';
import { LogConfig } from '@foundationjs/typedefs/logger';
export declare const ControllerSPA: (options: import("@foundationjs/typedefs/server").ControllerSPAConfiguration) => import("@foundationjs/typedefs/server").ServerController;
export default class Server {
    logger: Logger;
    server: any;
    port?: number;
    usingGraphQL: boolean;
    /**
     * Constructor function
     * @param {object} config - Configuration options (optional)
     */
    constructor(config?: ServerConfiguration);
    /**
     * Init function
     * @param {object} config - Configuration options
     */
    init: (config: ServerConfiguration) => Promise<void>;
    createLogger: (log: LogConfig) => void;
    logBanner: () => void;
    master: ({ addresses, cluster, graphql, persistence, endpoint, }: ServerConfiguration) => Promise<void>;
    slave: ({ addresses, endpoint, persistence, cluster, authentication, web, graphql, log, controllers, }: ServerConfiguration) => Promise<void>;
    success: ({ endpoint, graphql, }: {
        endpoint: string;
        graphql?: GraphqlConfig;
    }) => void;
}
